
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Json返回时间的格式中出现乱码问题的两种解决方案_实用技巧 / iVAN</title>

    <meta name="description" content="Json返回时间的格式中出现乱码问题的两种解决方案_实用技巧 前言:这段时间一直没有写博客,首先是我正在实现权限系列的绝色和操作的实现,因为这些东西在前面我们都已经说过了,所以我们就不重复的说这些了,那么我们知道,在我们使用Json返回数据的时候时间的格式一般都会变了,变成我们不认识的一些字符,那么当我们遇到这些问题的时候我们该怎么解决呢,今天我就来小说一下这个的解决方法. .发现问题 (1).正如我们在前言里面所说,我们在编写Json解析时间的时候会返回一些莫名其妙的东西,那么我们是如何解决这个问题的呢?我现在有两种方法可以解决这个问题,下面我们首先来说">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Json返回时间的格式中出现乱码问题的两种解决方案_实用技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>前言：这段时间一直没有写博客，首先是我正在实现权限系列的绝色和操作的实现，因为这些东西在前面我们都已经说过了，所以我们就不重复的说这些了，那么我们知道，在我们使用Json返回数据的时候时间的格式一般都会变了，变成我们不认识的一些字符，那么当我们遇到这些问题的时候我们该怎么解决呢，今天我就来小说一下这个的解决方法。</p>
<p><strong>.发现问题</strong></p>
<p>(1).正如我们在前言里面所说，我们在编写Json解析时间的时候会返回一些莫名其妙的东西，那么我们是如何解决这个问题的呢？我现在有两种方法可以解决这个问题，下面我们首先来说一下思路。</p>
<p>(2).第一种解决方案就是我们使用Jquery来解决，我们知道，当值从Json传递到前台进行赋值的时候我们可以对其进行操作，使之可以直接反编译出时间显示在项目上面。</p>
<p>(3).第二种解决方案就是我直接使用C#代码在后台就编译好然后直接传递到前台显示。</p>
<p>(4).那么下面我们看一下如果我们没有解析Json的话传递过来的时间的格式如图所示： <br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDEzMTAxMTE1NDU1MTMuZ2lm.jpg"> <br />.前台使用Jquery解决</p>
<p>(1)如果我们前台使用Jquery来解决这个问题的话，那么我们首先想到的是我们如何解析这个过程呢，当然我们就想到了自己写一个JavaScript脚本来解析这个过程，当然这个脚本不是我写的了，而是别人写的，自己拿过来用，脚本代码如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//by 韩迎龙</p>
<p>/**</p>
<p>* 对Date的扩展，将 Date 转化为指定格式的String</p>
<p>* 月(M)、日(d)、12小时(h)、24小时(H)、分(m)、秒(s)、周(E)、季度(q) 可以用 1-2 个占位符</p>
<p>* 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字)</p>
<p>* eg:</p>
<p>* (new Date()).pattern("yyyy-MM-dd hh:mm:ss.S") ==&gt; 2006-07-02 08:09:04.423</p>
<p>* (new Date()).pattern("yyyy-MM-dd E HH:mm:ss") ==&gt; 2009-03-10 二 20:09:04</p>
<p>* (new Date()).pattern("yyyy-MM-dd EE hh:mm:ss") ==&gt; 2009-03-10 周二 08:09:04</p>
<p>* (new Date()).pattern("yyyy-MM-dd EEE hh:mm:ss") ==&gt; 2009-03-10 星期二 08:09:04</p>
<p>* (new Date()).pattern("yyyy-M-d h:m:s.S") ==&gt; 2006-7-2 8:9:4.18</p>
<p>使用：(eval(value.replace(/\/Date\((\d+)\)\//gi, "new Date($1)"))).pattern("yyyy-M-d h:m:s.S");</p>
<p>*/</p>
<p>Date.prototype.pattern = function (fmt) {</p>
<p>var o = {</p>
<p>"M+": this.getMonth() + 1, //月份</p>
<p>"d+": this.getDate(), //日</p>
<p>"h+": this.getHours() % 12 == 0 ? 12 : this.getHours() % 12, //小时</p>
<p>"H+": this.getHours(), //小时</p>
<p>"m+": this.getMinutes(), //分</p>
<p>"s+": this.getSeconds(), //秒</p>
<p>"q+": Math.floor((this.getMonth() + 3) / 3), //季度</p>
<p>"S": this.getMilliseconds() //毫秒</p>
<p>};</p>
<p>var week = {</p>
<p>"0": "/u65e5",</p>
<p>"1": "/u4e00",</p>
<p>"2": "/u4e8c",</p>
<p>"3": "/u4e09",</p>
<p>"4": "/u56db",</p>
<p>"5": "/u4e94",</p>
<p>"6": "/u516d"</p>
<p>};</p>
<p>if (/(y+)/.test(fmt)) {</p>
<p>fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));</p>
<p>}</p>
<p>if (/(E+)/.test(fmt)) {</p>
<p>fmt = fmt.replace(RegExp.$1, ((RegExp.$1.length &gt; 1) ? (RegExp.$1.length &gt; 2 ? "/u661f/u671f" : "/u5468") : "") + week[this.getDay() + ""]);</p>
<p>}</p>
<p>for (var k in o) {</p>
<p>if (new RegExp("(" + k + ")").test(fmt)) {</p>
<p>fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));</p>
<p>}</p>
<p>}</p>
<p>return fmt;</p>
<p>}</p>
<p>(2)当我们写完上面的脚本之后，这时候我们就需要在页面中使用这个脚本的信息，那么我们如何使用这个信息，当然我们首先需要引用这个对象：</p>
<p>@*日期格式的引用*@</p>
<p>&lt;script src="@Url.Content("~/Content/datapattern.js")"&gt;&lt;/script&gt;</p>
<p>(3)这时候当我们引用完毕后，我们也就差最后一步了，这时候我们就需要设置easyUI显示数据的格式哪里调用上面我们书写的Json解析的脚本，代码如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>frozenColumns: [[</p>
<p>{ field: 'ck', checkbox: true }, //选择</p>
<p>{ title: '主键', field: 'ID', width: 40, sortable: true }, //主键</p>
<p>{ title: '角色名称', field: 'Realname', width: 100, sortable: true }, //登录名</p>
<p>{ title: '角色类型', field: 'CategoryCode', width: 100, sortable: true }, //用户名</p>
<p>{ title: '排序码', field: 'SortCode', width: 100, sortable: true },</p>
<p>{ title: '创建人', field: 'CreateBy', width: 90, sortable: true },</p>
<p>{</p>
<p>title: '创建时间', field: 'CreateOn', width: 140, sortable: true,</p>
<p>formatter: function (value, row, index) {</p>
<p>return (eval(value.replace(/\/Date\((\d+)\)\//gi, "new Date($1)"))).pattern("yyyy-M-d h:m:s");</p>
<p>}</p>
<p>},</p>
<p>{ title: '最后修改人', field: 'ModifiedBy', width: 90, sortable: true },</p>
<p>{ title: '修改时间', field: 'ModifiedOn', width: 140, sortable: true }</p>
<p>]],</p>
<p>(4)最后我们可以看一下转换后的想过如图所示： <br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDEzMTAxMTE1NDY1MzQuZ2lm.jpg"> <br /><strong>.后台使用基类来解决</strong></p>
<p>(1)上面我们说了第一种方法，那么我们现在来说第二种方法，第二种方法的话我们从标题就看出来了，我们是使用后台的基类来实现这个效果的，那么我们知道我们在以前的博客中我们建立了一个BaseController基仓储，我们在这里就需要用到基仓储了。</p>
<p>(2)在基仓储里面我们写了如下的方法，在这个方法中我们用到了一些处理时间的对象，大家可以自己研究一下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>/// &lt;summary&gt;</p>
<p>/// 返回处理过的时间的Json字符串</p>
<p>/// &lt;/summary&gt;</p>
<p>/// &lt;param name="Date"&gt;&lt;/param&gt;</p>
<p>/// &lt;returns&gt;&lt;/returns&gt;</p>
<p>public ContentResult JsonDate(object Date)</p>
<p>{</p>
<p>var timeConverter = new IsoDateTimeConverter { DateTimeFormat = "yyyy-MM-dd HH:mm:ss" };</p>
<p>return Content(JsonConvert.SerializeObject(Date, Formatting.Indented, timeConverter));</p>
<p>}</p>
<p>(3)接下来我们就需要在我们的实现功能的控制器中调用这个方法来返回对象，角色控制器的代码如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>/// &lt;summary&gt;</p>
<p>/// 获得角色的信息显示在角色列表中</p>
<p>/// &lt;/summary&gt;</p>
<p>/// &lt;returns&gt;返回角色信息的Json对象&lt;/returns&gt;</p>
<p>public ActionResult GetAllRoleInfos()</p>
<p>{</p>
<p>//实现对用户和多条件的分页的查询，rows表示一共多少条，page表示当前第几页</p>
<p>int pageIndex = Request["page"] == null ? 1 : int.Parse(Request["page"]);</p>
<p>int pageSize = Request["rows"] == null ? 10 : int.Parse(Request["rows"]);</p>
<p>string RealName = Request["RealName"];</p>
<p>int? Enabled = Request["Enabled"] == null ? -1 : int.Parse(Request["Enabled"]);</p>
<p>int? CategoryCode = Request["CategoryCode"] == null ? -1 : int.Parse(Request["CategoryCode"]);</p>
<p>int total = 0;</p>
<p>//封装一个业务逻辑层的方法来处理多条件查询的信息</p>
<p>RoleInfoQuery roleinfo = new RoleInfoQuery()</p>
<p>{</p>
<p>PageIndex = pageIndex,</p>
<p>PageSize = pageSize,</p>
<p>RealName = RealName,</p>
<p>Enabled = Enabled,</p>
<p>CategoryCode = CategoryCode,</p>
<p>Total = 0</p>
<p>};</p>
<p>var date = _roleInfo.loadSearchDate(roleinfo);</p>
<p>//构造Json对象返回</p>
<p>var result = new { total = roleinfo.Total, rows = date };</p>
<p>return JsonDate(result);</p>
<p>}</p>
<p>(4)最后我们的前台恢复到原始的状态，不用变，实现的功能如图所示： <br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDEzMTAxMTE1NDgyMjUuZ2lm.jpg"> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:20:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b9%b1%e7%a0%81/" title="乱码">乱码</a>, <a href="https://www.iamivan.net/tag/json/" title="json">json</a>, <a href="https://www.iamivan.net/tag/%e8%bf%94%e5%9b%9e%e6%97%b6%e9%97%b4/" title="返回时间">返回时间</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Json返回时间的格式中出现乱码问题的两种解决方案_实用技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boR2P3z.html" rel="bookmark">asp&period;net中url地址传送中文参数时的两种解决方案&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Web.comfig中配置 是一样的: &lt;globalization requestEncoding=&quot;gb2312&quot; responseEncoding=&quot;gb2312&quot;/&gt; 页面Header部分也都有 &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; charset=gb2312&quot; /&gt; 真是奇怪, 只好用了笨办法: 写参数: 复制代码 代码如下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKq92np.html" rel="bookmark">asp&period;net操作javascript&colon;confirm返回值的两种方式&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在asp.net中使用confirm可以分为两种: 1.没有使用ajax,confirm会引起也面刷新 2.使用了ajax,不会刷新 A.没有使用ajax,可以用StringBuilder来完成. (一)asp.net用StringBuilder控制后台操作javascript:confirm返回值,此方法比较烦琐 1.后台启动事件 StringBuilder sb = new StringBuilder(); sb.Append(&quot;&lt;script language='javascript			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVaq5kp.html" rel="bookmark">C&num; web api返回类型设置为json的两种方法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web api写api接口时默认返回的是把你的对象序列化后以XML形式返回,那么怎样才能让其返回为json呢,下面就介绍两种方法: 方法一:(改配置法) 找到Global.asax文件,在Application_Start()方法中添加一句: 复制代码 代码如下: GlobalConfiguration.Configuration.Formatters.XmlFormatter.SupportedMediaTypes.Clear(); 修改后: 复制代码 代码如下: protected void			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0PRNp.html" rel="bookmark">ASP&period;Net中利用CSS实现多界面的两种方法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了ASP.Net中利用CSS实现多界面的两种方法.分享给大家供大家参考.具体实现方法如下: 可以通过使页面动态加载不同CSS来实现多界面的效果: 方法一: 复制代码 代码如下: &lt;%@page language=&quot;C#&quot;%&gt; &lt;%@import namespace=&quot;System.Data&quot;%&gt; &lt;script language=&quot;c#&quot; runat=&quot;server&quot;&gt; publ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Zq83b.html" rel="bookmark">ASP&period;NET Razor模板引擎中输出Html的两种方式&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了ASP.NET Razor模板引擎中输出Html的两种方式.分享给大家供大家参考,具体如下: Razor中所有的Html都会自动编码,这样就不需要我们手动去编码了(安全),但在需要输出Html时就是已经转义过的Html文本了,如下所示: @{ string thisTest = &quot;&lt;span style=\&quot;color:#f00;\&quot;&gt;qubernet&lt;/span&gt;&quot;; } @thisTest; 这样在页面输出的文本就是:&lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVlaDz.html" rel="bookmark">asp&period;net url传递后地址栏乱码&lpar;中文超过两个汉字&rpar;&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编码编好的url是正确的,可传到另一个页面 就会出错,在地址栏就已经乱码了 1.设置web.config文件 复制代码 代码如下: &lt;system.web&gt; &lt;globalization requestEncoding=&quot;gb2312&quot; responseEncoding=&quot;gb2312&quot; culture=&quot;zh-CN&quot; fileEncoding=&quot;gb2312&quot; /&gt; &lt;/system.web&g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boL9y3M.html" rel="bookmark">ASP&period;NET MVC中URL地址传参的两种写法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.url地址传参的第一种写法 1.通过mvc中默认的url地址书写格式:控制器/方法名/参数 2.实例:http://localhost:39270/RequestDemo/Index/88,默认参数名为id所以名称为id. 如果使用其他名称,后台是无法读取的会报错 二.url地址传参的第二种写法 1.使用?加参数名=参数值的写法,如果有多个参数使用&amp;来连接 http://localhost:39270/RequestDemo/Index?id=88&amp;name=%E5%BC%A0%E4%			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvYlP6b.html" rel="bookmark">asp&period;net中TextBox只能输入数字的最简洁的两种方法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如下TextBox 复制代码 代码如下: &lt;asp:textboxonkeypress=&quot;isnum()&quot;id=&quot;TextBox1&quot;runat=&quot;server&quot;&gt;&lt;/asp:textbox&gt; 1. 在页面中添加一段脚本: 复制代码 代码如下: &lt;scriptlanguage=&quot;javascript&quot;&gt;functionisnum(){if(event.keyCode&lt;45||event.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxEDXGp.html" rel="bookmark">asp&period;net 遍历repeater中的控件的几种方式&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方式1: 复制代码 代码如下: foreach (Control c in this.Repeater1.Controls) { HtmlInputCheckBox check = (HtmlInputCheckBox)c.FindControl(&quot;cbDelete1&quot;); if( check != null ) { check.Checked = true; } } 方式2: 复制代码 代码如下: for (int i=0;i&lt;this.Repeater1.Items.Coun			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqWPkz.html" rel="bookmark" class="title">ps-pgrep 是通过程序的名字来查询进程的工具，它所指的&amp;amp&semi;amp&semi;quot&semi;程序的名字&amp;amp&semi;amp&semi;quot&semi;到底是什么</a>
					<div>
						问题描述 pgrep 是通过程序的名字来查询进程的工具,它所指的&quot;程序的名字&quot;到底是什么 如题:linux命令pgrep中百度百科中说pgrep 是通过程序的名字来查询进程的工具, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEnK3M.html" rel="bookmark" class="title">什么是Blog&quest; 什么是RSS&quest;新闻聚合工具</a>
					<div>
						rss|rss 什么是Blog? 什么是RSS?新闻聚合工具 arron 发表于 2004-6-7 1:08:13 什么是Blog? - Blog,是Weblog的简称.- Weblog,是Web 和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzw3Xvz.html" rel="bookmark" class="title">配置Web应用环境实现JSP留言簿</a>
					<div>
						js|web Java Server Page(简称JSP),和ASP.PHP一样都是网络编程语言,只不过在JSP页面中插入的脚本代码是Java语句片段.要利用JSP编写应用,首先,必须要有一个能执行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKvx5z.html" rel="bookmark" class="title">J2ME程序开发全方位基础讲解汇总</a>
					<div>
						程序     一.J2ME中需要的Java基础知识 现在有大部分人,都是从零开始学J2ME的,学习J2ME的时候,总是从Java基础开始学习,而且现在讲Java基础的书籍中都是以J2SE来讲基础,这就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKg05b.html" rel="bookmark" class="title">Asp&period;net连Access时&colon;操作必须使用一个可更新的查询</a>
					<div>
						access|asp.net asp.net连access时: select * from s 程序在fat 上是对的, 换到ntfs上也可以.inseert into s(f1) values (& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdZ3mb.html" rel="bookmark" class="title">谷歌PR无法查询站长交换友情链接应注意哪些</a>
					<div>
						也就是在10月6号乔布斯去世的这天,谷歌在第三方工具上的数据清空了,通过第三方工具查询谷歌PR值都没有了,对于此事谷歌方面没有做出回应,但有传言说谷歌PR值&quot;清空&quot;或与专营许可证到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmWm7b.html" rel="bookmark" class="title">3ds Max大型坦克建模</a>
					<div>
						我们从轮子开始做起吧. 首先在前视图建个管状物体,尺寸如图 把中间的两条线向中间挤,然后选择如图内圆的面,然后挤出,数量为零!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6dR6z.html" rel="bookmark" class="title">SCO UNIX高级进阶&lpar;三&rpar;</a>
					<div>
						22．问题:sco unix5.06如何配置DNS? 答:vi /etc/resolv.conf 内容为:nameserver xxx.xxx.xxx.xxx.xxx.xxx.xxx.xxx就是实际的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKBOjp.html" rel="bookmark" class="title">PS鼠绘插座图标技巧</a>
					<div>
						教程开始之前 创建从现实生活中的对象的图标时,最好先看看这些对象,看看他们是如何看的.当你完成后,继续前进,并开始勾画出如何你想你看的图标. 第1步创建于72 dpi的400×400像素的画布 第2步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwL8Ykb.html" rel="bookmark" class="title">删除U盘浏览记录的办法</a>
					<div>
						  在日常的使用U盘过程中,系统会记录下大量我们的使用信息,下面就说说如何删除掉这些记录信息. 1. 往系统里面添加环境变量devmgr_shownonpresent_devices,值为1 2. 运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN61QM.html" rel="bookmark" class="title">安装itunes打不开怎么办</a>
					<div>
						  1.完全退出iTunes.exe和AppleMobileDeviceService.exe进程.然后再次启动iTunes软件,查看是否能够打开该软件.   2.如果仍然不可以打开,则打开卸载工具, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eVnXb.html" rel="bookmark" class="title">怎样去除桌面图标阴影</a>
					<div>
						  1.我在桌面属性-外观-效果-在菜单下显示阴影 2.桌面空白处右键,排列图标,取消&quot;在桌面上锁定WEB项目&quot;的小勾         小编推荐:xp系统如何去除桌面图标蓝色阴影  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjkn6p.html" rel="bookmark" class="title">struts2--使用&amp;lt&semi;s&colon;token&amp;gt&semi;&amp;lt&semi;&sol;s&colon;token&amp;gt&semi;标签防止重复提交</a>
					<div>
						取个小例子: 这是网页: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 &lt;body&gt;     &lt;s:actionerror/&gt;    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7PXrz.html" rel="bookmark" class="title">c-C 语言中返回结构体指针，结果出来了，但是还是出现错误，不知道为什么</a>
					<div>
						问题描述 C 语言中返回结构体指针,结果出来了,但是还是出现错误,不知道为什么 解决方案 p 没有初始化,也就是没有分配空间.典型的指针错误,不初始化,指针指向哪里呢? 解决方案二: array *p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrOZWM.html" rel="bookmark" class="title">php做ios推送的服务器，后台运行的时候会推送两条信息？有代码</a>
					<div>
						问题描述 php做ios推送的服务器,后台运行的时候会推送两条信息?有代码 为什么php做ios推送的服务器的时候,后台运行的时候会推送两条信息?但是手机关掉屏幕推送的时候就正常了~ 就只有后台运行的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEaj1z.html" rel="bookmark" class="title">c&plus;&plus;-C&plus;&plus;中vector容器存放字符串，输出错误</a>
					<div>
						问题描述 C++中vector容器存放字符串,输出错误 #include&lt;iostream&gt; #include&lt;vector&gt; #include&lt;string&gt; u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDdWaz.html" rel="bookmark" class="title">Hadoop MapReduce处理海量小文件：自定义InputFormat和RecordReader</a>
					<div>
						一般来说,基于Hadoop的MapReduce框架来处理数据,主要是面向海量大数据,对于这类数据,Hadoop能够使其真正发挥其能力.对于海量小文件,不是说不能使用Hadoop来处理,只不过直接进行处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RO78z.html" rel="bookmark" class="title">bind-lambda表达式作为回调函数，无法传入参数。</a>
					<div>
						问题描述 lambda表达式作为回调函数,无法传入参数. 捕获列表一传入参数就导致回调函数调用失败. 一捕获lambda作用域外的变量,就出错! 错误提示: _ 1 IntelliSense: 不存在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE42RLz.html" rel="bookmark" class="title">JavaWeb中web&period;xml初始化加载顺序</a>
					<div>
						需求说明 做项目时,为了省事,起初把初始化的配置都放在每个类中 static加载,初始化配置一多,就想把它给整理一下,这里使用servlet中的init方法初始化. web.xml说明 首先了解下we ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7j6qp.html" rel="bookmark" class="title">RHCE 学习笔记（29） IPv6</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://beanxyz.blog.51cto.com/5570417/1606429 这一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWokmM.html" rel="bookmark" class="title">控件-如何进行 DataType 属性设置</a>
					<div>
						问题描述 如何进行 DataType 属性设置 新做了一个控件,有一个 DataType 属性,类型为 System.Type ,希望能象下图一样选择系统的属性,应该在类中如何设计? 使用如下的方法, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBnR3z.html" rel="bookmark" class="title">ios-iOS 视频开发硬编码和硬解码</a>
					<div>
						问题描述 iOS 视频开发硬编码和硬解码 最近在做视频的硬编码和硬解码.就像是视频通话,有经验的朋友请指教一下.本人绝对知恩图报,懂味的谢谢 解决方案 参考这几个资源http://download.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBQX4z.html" rel="bookmark" class="title">利用消息队列MQTT，打造一款属于自己的IM社交软件</a>
					<div>
						MQTT 是一种基于发布订阅模型的即时通讯协议,由于轻巧,开源,易用,耗能少,支持 QOS/遗言(WILL)等特性,正被广泛应用于物联网和移动互联网. 消息队列 MQ 提供了对 MQTT 协议的支持, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEjmjp.html" rel="bookmark" class="title">浅谈java异常处理之空指针异常&lowbar;java</a>
					<div>
						听老师说,在以后的学习中大部分的异常都是空指针异常.所以抽点打游戏的时间来查询一下什么是空指针异常 一:空指针异常产生的主要原因如下: (1)当一个对象不存在时又调用其方法会产生异常obj.metho ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlEQlp.html" rel="bookmark" class="title">评论：谁来归还后IPO投资者的知情权</a>
					<div>
						范晓曼 上市的惬意还没完全散去,一场与投行的微博骂战却引起了众多人士的围观,当当网CEO李国庆(微博)瞬间成为焦点,&quot;大摩女&quot;&quot;(&quot;迷失的帷怡&quot;&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mqg5n2z.html" rel="bookmark" class="title">百度进军c2c&comma;中国电子商务迎来新的机会</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 百度进军C2C实 在是中国电子商务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXNw74b.html" rel="bookmark" class="title">百度三季盈利超预期 第四季业绩展望不及预期</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 北京时间10月30日凌晨消息,百度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAQQvnM.html" rel="bookmark" class="title">25岁女青年传艳照或面临10年重刑引热议</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 红网长沙3月5日讯 &quot;传 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0O2l0b.html" rel="bookmark" class="title">曹芳华：《网络整合营销传播策略》连载8</a>
					<div>
						第二章·第二节  品牌核心价值:品牌消费的精神满足 既然消费者购买的不只是一种产品,而是在消费一种价值,忠诚于一种生活,那么这种价值的挖掘就成为了品牌营销传播策略的出发点.品牌核心价值,也就是所谓的品 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M19aQ9M.html" rel="bookmark" class="title">《Python Cookbook（第3版）中文版》&mdash;&mdash;1&period;4　找到最大或最小的N个元素</a>
					<div>
						1.4 找到最大或最小的N个元素 1.4.1 问题 我们想在某个集合中找出最大或最小的N个元素. 1.4.2 解决方案 heapq模块中有两个函数--nlargest()和nsmallest()--它 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
